## liquid-dsp 1.7.0

=== CMakeLists.txt ===
# cmake build file for liquid-dsp
cmake_minimum_required(VERSION 3.10)

# run custom command to parse version number from include/liquid.h
execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/version.sh
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE LIQUID_VERSION)

# project definition
project(liquid VERSION ${LIQUID_VERSION} LANGUAGES C CXX)

# ---------------------------------------- options ----------------------------------------

option(BUILD_EXAMPLES   "Set to ON to build examples"           ON)
option(BUILD_AUTOTESTS  "Set to ON to build autotest program"   ON)
option(BUILD_BENCHMARKS "Set to ON to build benchmark program"  ON)
option(ENABLE_SIMD      "Set to ON to build SIMD extensions"    ON)
option(BUILD_SANDBOX    "Set to ON to build sandbox programs"   OFF)
option(BUILD_DOC        "Set to ON to build documentation"      OFF)
option(COVERAGE         "Set to ON to build with code coverage" OFF)
#option(PROFILE        "Set to ON to build with profiling"     OFF)

if(COVERAGE)
    set(CMAKE_BUILD_TYPE "Debug")
endif(COVERAGE)

# target_sources() command converts relative paths to absolute.
cmake_policy(SET CMP0076 NEW)

set(LIBNAME liquid)

# require a C99 compiler for all targets
set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)

set(CMAKE_CXX_STANDARD 14 CACHE STRING "C++ version selection")  # or 11, 14, 17, 20
set(CMAKE_CXX_STANDARD_REQUIRED ON)  # optional, ensure standard is supported
#set(CMAKE_CXX_EXTENSIONS OFF)  # optional, keep compiler extensions off

include (CheckIncludeFile)
include (CheckFunctionExists)
include (CheckLibraryExists)
include (CheckSymbolExists)

# check for hardware acceleration
include(cmake/FindSIMD.cmake)
# TODO: check for FFTW

# global flags
if (MSVC)
    # warning level 4
    add_compile_options(/W4)
else()
    # additional warnings
    add_compile_options(-Wall -fPIC -O3 -Wno-deprecated -Wno-deprecated-declarations)
endif()

include (CheckTypeSize)
check_type_size(int SIZEOF_INT LANGUAGE C)

configure_file(cmake/config.h.cmake config.h)

# this file can only use the @VARIABLE@ syntax
#configure_file(cmake/version.c.in ${PROJECT_BINARY_DIR}/src/version.c @ONLY)

#target_include_directories(test PRIVATE include)
include_directories(include .)

# ---------------------------------------- main sources ----------------------------------------

add_library(agc OBJECT
    src/agc/src/agc_crcf.c
    src/agc/src/agc_rrrf.c)

add_library(audio OBJECT
    src/audio/src/cvsd.c)

add_library(buffer OBJECT
    src/buffer/src/bufferf.c
    src/buffer/src/buffercf.c)

add_library(channel OBJECT
    src/channel/src/channel_cccf.c)

add_library(dotprod OBJECT)

add_library(equalization OBJECT
    src/equalization/src/equalizer_cccf.c
    src/equalization/src/equalizer_rrrf.c)

add_library(fec OBJECT
    src/fec/src/crc.c
    src/fec/src/fec.c
    src/fec/src/fec_conv.c
    src/fec/src/fec_conv_poly.c
    src/fec/src/fec_conv_pmatrix.c
    src/fec/src/fec_conv_punctured.c
    src/fec/src/fec_golay2412.c
    src/fec/src/fec_hamming74.c
    src/fec/src/fec_hamming84.c
    src/fec/src/fec_hamming128.c
    src/fec/src/fec_hamming1511.c
    src/fec/src/fec_hamming3126.c
    src/fec/src/fec_hamming128_gentab.c
    src/fec/src/fec_pass.c
    src/fec/src/fec_rep3.c
    src/fec/src/fec_rep5.c
    src/fec/src/fec_rs.c
    src/fec/src/fec_secded2216.c
    src/fec/src/fec_secded3932.c
    src/fec/src/fec_secded7264.c
    src/fec/src/interleaver.c
    src/fec/src/packetizer.c
    src/fec/src/sumproduct.c)

add_library(fft OBJECT
    src/fft/src/fftf.c
    src/fft/src/spgramcf.c
    src/fft/src/spgramf.c
    src/fft/src/fft_utilities.c)

add_library(filter OBJECT
    src/filter/src/bessel.c
    src/filter/src/butter.c
    src/filter/src/cheby1.c
    src/filter/src/cheby2.c
    src/filter/src/ellip.c
    src/filter/src/filter_rrrf.c
    src/filter/src/filter_crcf.c
    src/filter/src/filter_cccf.c
    src/filter/src/firdes.c
    src/filter/src/firdespm.c
    src/filter/src/firdespm_halfband.c
    src/filter/src/fnyquist.c
    src/filter/src/gmsk.c
    src/filter/src/group_delay.c
    src/filter/src/hM3.c
    src/filter/src/iirdes.pll.c
    src/filter/src/iirdes.c
    src/filter/src/lpc.c
    src/filter/src/rcos.c
    src/filter/src/rkaiser.c
    src/filter/src/rrcos.c)

add_library(framing OBJECT
    src/framing/src/bpacketgen.c
    src/framing/src/bpacketsync.c
    src/framing/src/detector_cccf.c
    src/framing/src/dsssframe64gen.c
    src/framing/src/dsssframe64sync.c
    src/framing/src/dsssframegen.c
    src/framing/src/dsssframesync.c
    src/framing/src/framedatastats.c
    src/framing/src/framesyncstats.c
    src/framing/src/framegen64.c
    src/framing/src/framesync64.c
    src/framing/src/framingcf.c
    src/framing/src/framing_rrrf.c
    src/framing/src/framing_crcf.c
    src/framing/src/framing_cccf.c
    src/framing/src/flexframegen.c
    src/framing/src/flexframesync.c
    src/framing/src/fskframegen.c
    src/framing/src/fskframesync.c
    src/framing/src/gmskframegen.c
    src/framing/src/gmskframesync.c
    src/framing/src/ofdmflexframegen.c
    src/framing/src/ofdmflexframesync.c
    src/framing/src/qpilotgen.c
    src/framing/src/qpilotsync.c)

add_library(math OBJECT
    src/math/src/poly.c
    src/math/src/polyc.c
    src/math/src/polyf.c
    src/math/src/polycf.c
    src/math/src/math.c
    src/math/src/math.bessel.c
    src/math/src/math.gamma.c
    src/math/src/math.complex.c
    src/math/src/math.trig.c
    src/math/src/modular_arithmetic.c
    src/math/src/poly.findroots.c
    src/math/src/windows.c)

add_library(matrix OBJECT
    src/matrix/src/matrix.c
    src/matrix/src/matrixf.c
    src/matrix/src/matrixc.c
    src/matrix/src/matrixcf.c
    src/matrix/src/smatrix.common.c
    src/matrix/src/smatrixb.c
    src/matrix/src/smatrixf.c
    src/matrix/src/smatrixi.c)

add_library(modem OBJECT
    src/modem/src/ampmodem.c
    src/modem/src/fskdem.c
    src/modem/src/fskmod.c
    src/modem/src/gmskdem.c
    src/modem/src/gmskmod.c
    src/modem/src/modem.shim.c
    src/modem/src/modemcf.c
    src/modem/src/modem_utilities.c
    src/modem/src/modem_apsk_const.c
    src/modem/src/modem_arb_const.c)

add_library(multichannel OBJECT
    src/multichannel/src/firpfbch_crcf.c
    src/multichannel/src/firpfbch_cccf.c
    src/multichannel/src/ofdmframe.common.c
    src/multichannel/src/ofdmframegen.c
    src/multichannel/src/ofdmframesync.c)

add_library(nco OBJECT
    src/nco/src/nco_crcf.c
    src/nco/src/nco.utilities.c)

add_library(optim OBJECT
    src/optim/src/chromosome.c
    src/optim/src/gasearch.c
    src/optim/src/gradsearch.c
    src/optim/src/optim.common.c
    src/optim/src/qnsearch.c
    src/optim/src/qs1dsearch.c
    src/optim/src/utilities.c)

add_library(quantization OBJECT
    src/quantization/src/compand.c
    src/quantization/src/quantizercf.c
    src/quantization/src/quantizerf.c
    src/quantization/src/quantizer.inline.c)

add_library(random OBJECT
    src/random/src/rand.c
    src/random/src/randn.c
    src/random/src/randexp.c
    src/random/src/randweib.c
    src/random/src/randgamma.c
    src/random/src/randnakm.c
    src/random/src/randricek.c
    src/random/src/scramble.c)

add_library(sequence OBJECT
    src/sequence/src/bsequence.c
    src/sequence/src/msequence.c)

add_library(utility OBJECT
    src/utility/src/bshift_array.c
    src/utility/src/byte_utilities.c
    src/utility/src/memory.c
    src/utility/src/msb_index.c
    src/utility/src/pack_bytes.c
    src/utility/src/shift_array.c
    src/utility/src/utility.c)

add_library(vector OBJECT
    src/vector/src/vectorf_add.port.c
    src/vector/src/vectorf_norm.port.c
    src/vector/src/vectorf_mul.port.c
    src/vector/src/vectorf_trig.port.c
    src/vector/src/vectorcf_add.port.c
    src/vector/src/vectorcf_norm.port.c
    src/vector/src/vectorcf_mul.port.c
    src/vector/src/vectorcf_trig.port.c)


# ---------------------------------------- SIMD extensions ----------------------------------------
if (C_NEON_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.neon.c
        src/dotprod/src/dotprod_crcf.neon.c
        src/dotprod/src/dotprod_rrrf.neon.c
        src/dotprod/src/sumsq.c)
    target_compile_options(dotprod PUBLIC ${C_NEON_FLAGS})
elseif (C_AVX512_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.avx512f.c
        src/dotprod/src/dotprod_crcf.avx512f.c
        src/dotprod/src/dotprod_rrrf.avx512f.c
        src/dotprod/src/sumsq.avx512f.c)
    target_compile_options(dotprod PUBLIC ${C_AVX512_FLAGS})
elseif (C_AVX2_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.avx.c
        src/dotprod/src/dotprod_crcf.avx.c
        src/dotprod/src/dotprod_rrrf.avx.c
        src/dotprod/src/sumsq.avx.c)
    target_compile_options(dotprod PUBLIC ${C_AVX2_FLAGS})
elseif (C_AVX_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.avx.c
        src/dotprod/src/dotprod_crcf.avx.c
        src/dotprod/src/dotprod_rrrf.avx.c
        src/dotprod/src/sumsq.avx.c)
    target_compile_options(dotprod PUBLIC ${C_AVX_FLAGS})
elseif (C_SSE4_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.sse.c
        src/dotprod/src/dotprod_crcf.sse.c
        src/dotprod/src/dotprod_rrrf.sse.c
        src/dotprod/src/sumsq.sse.c)
    target_compile_options(dotprod PUBLIC ${C_SSE4_FLAGS})
elseif (C_ALTIVEC_FOUND AND ENABLE_SIMD)
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.c
        src/dotprod/src/dotprod_crcf.av.c
        src/dotprod/src/dotprod_rrrf.av.c
        src/dotprod/src/sumsq.c)
else()
    # portable C version
    target_sources(dotprod PUBLIC
        src/dotprod/src/dotprod_cccf.c
        src/dotprod/src/dotprod_crcf.c
        src/dotprod/src/dotprod_rrrf.c
        src/dotprod/src/sumsq.c)
endif()

# ---------------------------------------- main library ----------------------------------------

# necessary to include this for the generated "config.h" header
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(${LIBNAME} SHARED
    src/libliquid.c
    $<TARGET_OBJECTS:agc>
    $<TARGET_OBJECTS:audio>
    $<TARGET_OBJECTS:buffer>
    $<TARGET_OBJECTS:channel>
    $<TARGET_OBJECTS:dotprod>
    $<TARGET_OBJECTS:equalization>
    $<TARGET_OBJECTS:fec>
    $<TARGET_OBJECTS:fft>
    $<TARGET_OBJECTS:filter>
    $<TARGET_OBJECTS:framing>
    $<TARGET_OBJECTS:math>
    $<TARGET_OBJECTS:matrix>
    $<TARGET_OBJECTS:modem>
    $<TARGET_OBJECTS:multichannel>
    $<TARGET_OBJECTS:nco>
    $<TARGET_OBJECTS:optim>
    $<TARGET_OBJECTS:quantization>
    $<TARGET_OBJECTS:random>
    $<TARGET_OBJECTS:sequence>
    $<TARGET_OBJECTS:utility>
    $<TARGET_OBJECTS:vector>)

target_include_directories(${LIBNAME} PRIVATE ${INCLUDE})
#target_sources(${LIBNAME} PUBLIC FILE_SET HEADERS FILES include/liquid.h)

if(COVERAGE)
    target_compile_options(agc          PRIVATE -coverage -O0 -g)
    target_compile_options(audio        PRIVATE -coverage -O0 -g)
    target_compile_options(buffer       PRIVATE -coverage -O0 -g)
    target_compile_options(channel      PRIVATE -coverage -O0 -g)
    target_compile_options(dotprod      PRIVATE -coverage -O0 -g)
    target_compile_options(equalization PRIVATE -coverage -O0 -g)
    target_compile_options(fec          PRIVATE -coverage -O0 -g)
    target_compile_options(fft          PRIVATE -coverage -O0 -g)
    target_compile_options(filter       PRIVATE -coverage -O0 -g)
    target_compile_options(framing      PRIVATE -coverage -O0 -g)
    target_compile_options(math         PRIVATE -coverage -O0 -g)
    target_compile_options(matrix       PRIVATE -coverage -O0 -g)
    target_compile_options(modem        PRIVATE -coverage -O0 -g)
    target_compile_options(multichannel PRIVATE -coverage -O0 -g)
    target_compile_options(nco          PRIVATE -coverage -O0 -g)

=== doc/CMakeLists.txt ===
# documentation build script

=== sandbox/CMakeLists.txt ===
# build configuration for sandbox programs

set(SANDBOX
    am_demod_dsb_peak_detect_test
    am_demod_dsb_pll_carrier_test
    am_demod_dsb_pll_costas_test
    am_demod_ssb_pll_carrier_test
    bpresync_test
    chromosome_test
    count_ones_gentab
    cpmodem_test
    crc_gentab
    ellip_func_test
    ellip_test
    eqlms_cccf_test
    #fct_test
    fec_g2412product_test
    fec_golay2412_test
    fec_golay_test
    fec_hamming128_example
    fec_hamming128_gentab
    fec_hamming128_test
    fec_hamming3126_example
    fec_hamming74_gentab
    fec_hamming84_gentab
    fec_hamming_test
    fec_ldpc_test
    fec_rep3_test
    fec_rep5_test
    fec_secded2216_test
    fec_secded3932_test
    fec_secded7264_test
    fec_secded_punctured_test
    fec_spc2216_test
    fec_sumproduct_test
    fecsoft_ber_test
    fecsoft_conv_test
    fecsoft_hamming128_gentab
    fecsoft_ldpc_test
    fft_dual_radix_test
    fft_mixed_radix_test
    fft_r2r_test
    fft_rader_prime_radix2_test
    fft_rader_prime_test
    fft_recursive_plan_test
    fft_recursive_test
    firdes_energy_test
    firdes_fexp_test
    firdes_gmskrx_test
    firdes_group_delay_test
    firdes_length_test
    firdespm_halfband_test
    firfarrow_rrrf_test
    firfilt_dcblocker_test
    firpfbch2_analysis_equivalence_test
    firpfbch2_flatness_test
    firpfbch2_test
    firpfbch_analysis_alignment_test
    firpfbch_analysis_equivalence_test
    #firpfbch_analysis_test
    firpfbch_synthesis_equivalence_test
    fskcorr_test
    fskmodem_test
    gmskmodem_coherent_test
    gmskmodem_equalizer_test
    gmskmodem_psd_filter_compare_test
    gmskmodem_test
    householder_test
    iirdes_gradsearch_test
    iirdes_test
    iirfilt_intdiff_test
    levinson_test
    matched_filter_cfo_test
    matched_filter_test
    math_cacosf_test
    math_casinf_test
    math_catanf_test
    math_cexpf_test
    math_clogf_test
    math_csqrtf_test
    math_lngamma_test
    matrix_eig_test
    matrix_test
    #mdct_test
    minsearch2_test
    minsearch_test
    modem_demodulate_arb_gentab
    modem_demodulate_soft_gentab
    modem_demodulate_soft_test
    mskmodem_test
    msresamp_crcf_test
    #newbench_example
    ofdm_ber_test
    ofdmframe_papr_test
    ofdmframesync_cfo_test
    #ofdmoqam_firpfbch_cfo_test
    ofdmoqam_firpfbch_test
    #packetizer_persistent_ber_test
    pll_3rd_order_test
    pll_design_test
    predemod_sync_test
    quasinewton_test
    recursive_qpsk_test
    resamp2_crcf_filterbank_test
    resamp2_crcf_interp_recreate_test
    reverse_byte_gentab
    rhamming_test
    rkaiser2_test
    shadowing_test
    simplex_test
    svd_test
    symsync_crcf_test
    symsync_eqlms_test
    thiran_allpass_iir_test
    throttle_test
    vectorcf_test
    )

foreach(example IN LISTS SANDBOX)

    add_executable(${example} ${example}.c)
    target_include_directories(${example} PRIVATE ${INCLUDE})
    target_link_libraries(${example} ${LIBNAME})

endforeach()

## liquid-dsp 1.2.0+git20161107

=== debian/changelog ===
liquid-dsp (1.2.0+git20161107-1) unstable; urgency=medium

  * Initial release (Closes: #832114)

 -- Andreas Bombe <aeb@debian.org>  Sun, 11 Dec 2016 17:46:00 +0100

=== debian/control ===
Source: liquid-dsp
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
Standards-Version: 3.9.8
Homepage: http://liquidsdr.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git

Package: libliquid0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: signal processing library for software defined radio
 liquid-dsp is a free and open-source digital signal processing (DSP)
 library designed specifically for software defined radios on embedded
 platforms. The aim is to provide a lightweight DSP library that does not
 rely on a myriad of external dependencies or proprietary and otherwise
 cumbersome frameworks. All signal processing elements are designed to be
 flexible, scalable, and dynamic, including filters, filter design,
 oscillators, modems, synchronizers, and complex mathematical operations.
 .
 This package contains the shared library.

Package: libliquid-dev
Section: libdevel
Architecture: any
Depends: libliquid0d (= ${binary:Version}), ${misc:Depends}
Description: signal processing library for software defined radio (development files)
 liquid-dsp is a free and open-source digital signal processing (DSP)
 library designed specifically for software defined radios on embedded
 platforms. The aim is to provide a lightweight DSP library that does not
 rely on a myriad of external dependencies or proprietary and otherwise
 cumbersome frameworks. All signal processing elements are designed to be
 flexible, scalable, and dynamic, including filters, filter design,
 oscillators, modems, synchronizers, and complex mathematical operations.
 .
 This package contains the files required to compile programs using liquid-dsp.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --enable-simdoverride

## liquid-dsp 1.3.0

=== debian/changelog ===
liquid-dsp (1.3.0-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Jan 2019 16:22:04 -0800

liquid-dsp (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0
  * Bump soname to libliquid1d due to renamed and removed symbols
  * Add watch file
  * Copy examples directory into libliquid-dev documentation
  * Install HISTORY as upstream changelog
  * Mark libliquid-dev as Multi-Arch: same

 -- Andreas Bombe <aeb@debian.org>  Tue, 10 Jan 2017 03:00:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
 Standards-Version: 3.9.8
@@ -9,7 +10,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git
 
-Package: libliquid0d
+Package: libliquid1d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +29,8 @@
 Package: libliquid-dev
 Section: libdevel
 Architecture: any
-Depends: libliquid0d (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: libliquid1d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded

## liquid-dsp 1.3.1

=== debian/changelog ===
liquid-dsp (1.3.1-1) unstable; urgency=medium

  * New upstream release 1.3.1
  * Update libliquid1d.symbols with new symbols
  * Update debian/copyright for source changes
  * Drop fix-makefile patch, integrated upstream
  * Remove dh-autoreconf from Build-Depends, not needed with debhelper compat
    level 10
  * Bump Standards-Version to 4.1.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 29 Oct 2017 02:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config, libfftw3-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), pkg-config, libfftw3-dev
+Standards-Version: 4.1.1
 Homepage: http://liquidsdr.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-simdoverride
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k HISTORY

=== debian/watch ===
version=4
https://github.com/jgaeddert/liquid-dsp/releases .*/v([\d\.]+)\.tar\.(?:xz|gz|bz2)

## liquid-dsp 1.3.2

=== debian/changelog ===
liquid-dsp (1.3.2-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 03 Sep 2020 10:18:05 -0400

liquid-dsp (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 16:09:32 +0100

liquid-dsp (1.3.2-1) experimental; urgency=medium

  [ Tim Kuester ]
  * Team upload.
  * New upstream release 1.3.2
  * Refresh define-soname patch
  * Bump soname to libliquid2d due to removed symbols
  * Include config/test artifacts in gitignore
  * Improved patch formatting, thanks @paultag

  [ tony mancill ]
  * Add typos.patch
  * Update to debhelper compat level 12
  * Bump Standards-Version to 4.4.1
  * Set "Rules-Requires-Root: no" in debian/control

  [ Christoph Berg ]
  * libliquid2d.symbols: Add Build-Depends-Package; reset version info to "0"
    on all symbols after the soname bump.
  * gitlab-ci.yml: Use salsa-ci pipeline.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Dec 2019 22:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config, libfftw3-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12), pkg-config, libfftw3-dev
+Standards-Version: 4.4.1
 Homepage: http://liquidsdr.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/liquid-dsp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/liquid-dsp.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
+Rules-Requires-Root: no
 
-Package: libliquid1d
+Package: libliquid2d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -29,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid1d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid2d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh ${@}
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-simdoverride

## liquid-dsp 1.4.0

=== debian/changelog ===
liquid-dsp (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Sat, 12 Mar 2022 01:48:52 +0100

liquid-dsp (1.4.0-1) experimental; urgency=medium

  * New upstream release 1.4.0
  * Bump soname to libliquid3d due to function signatures changing as now
    error values are returned from previously void functions
  * Add Build-Depends-Package header to d/libliquid3d.symbols
  * Refresh patches
  * Update copyright years in d/copyright
  * Fix machine readable paths in d/copyright
  * Update to debhelper compat level 13
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 27 Feb 2022 04:00:47 +0100

liquid-dsp (1.3.2-3) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Fit GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 15:29:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: liquid-dsp
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 12), pkg-config, libfftw3-dev
-Standards-Version: 4.4.1
-Homepage: http://liquidsdr.org/
+Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
+Standards-Version: 4.6.0
+Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
 Rules-Requires-Root: no
 
-Package: libliquid2d
+Package: libliquid3d
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -31,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid2d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid3d (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded

## liquid-dsp 1.5.0

=== debian/changelog ===
liquid-dsp (1.5.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add patch fix-bessel-array-out-of-bounds to fix bessel_azpkf() writing one
    index behind the end of an array that is passed in
  * Use -ffloat-store on i386 to prevent some testcase failures (Thanks to
    Adrian Bunk for the hint and patch)

 -- Andreas Bombe <aeb@debian.org>  Wed, 11 Jan 2023 03:52:40 +0100

liquid-dsp (1.5.0-1) experimental; urgency=medium

  * New upstream release 1.5.0
  * Change soname to libliquid1 due to many function signatures changing from
    returning void to returning int error values and upstream now introducing
    a versioned soname
  * Drop define-soname patch
  * Add fix-soname patch that corrects makefile.in not actually setting the
    new soname
  * Bump Standards-Version to 4.6.2, no changes required
  * Drop typos.patch patch, fixed upstream
  * Update debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Thu, 05 Jan 2023 02:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git
 Rules-Requires-Root: no
 
-Package: libliquid3d
+Package: libliquid1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libliquid3d (= ${binary:Version}), ${misc:Depends}
+Depends: libliquid1 (= ${binary:Version}), ${misc:Depends}
 Description: signal processing library for software defined radio (development files)
  liquid-dsp is a free and open-source digital signal processing (DSP)
  library designed specifically for software defined radios on embedded

=== debian/watch ===
version=4
https://github.com/jgaeddert/liquid-dsp/tags .*/v([\d\.]+)\.tar\.(?:xz|gz|bz2)

## liquid-dsp 1.6.0

=== debian/changelog ===
liquid-dsp (1.6.0-3) unstable; urgency=medium

  * Fix fix-chromosome-32bit patch with reliable initialization of max_value

 -- Andreas Bombe <aeb@debian.org>  Wed, 18 Oct 2023 03:46:49 +0200

liquid-dsp (1.6.0-2) unstable; urgency=medium

  * Add fix-chromosome-32bit patch to fix bug and failing testcases on 32 bit
    architectures

 -- Andreas Bombe <aeb@debian.org>  Wed, 18 Oct 2023 02:27:35 +0200

liquid-dsp (1.6.0-1) unstable; urgency=medium

  * New upstream release 1.6.0
  * Add Build-Depends on libfec (closes: #1053605)
  * Remove library symbols file again as currently internal symbols end up
    being exported
  * Remove fix-arlib patch, fixed in upstream
  * Update copyright years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Tue, 17 Oct 2023 02:54:24 +0200

liquid-dsp (1.5.0-3) unstable; urgency=medium

  * Replace fix-soname patch with the version that was forwarded upstream and
    mark it as forwarded
  * Changing the local build target for the shared library back to
    libliquid.so incidentally fixes the failure to build source after build
    (closes: #1046182)
  * Add fix-arlib-install patch to remove version number from static library
    install path as it is not in fix-soname anymore
  * Mark fix-bessel-array-out-of-bounds patch as forwarded

 -- Andreas Bombe <aeb@debian.org>  Sun, 10 Sep 2023 23:49:39 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev
+Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev, libfec-dev
 Standards-Version: 4.6.2
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --enable-simdoverride

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY

## liquid-dsp 1.7.0

=== debian/changelog ===
liquid-dsp (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Drop fix-soname patch, applied upstream
  * Drop fix-bessel-array-out-of-bounds patch, applied upstream
  * Switch to new cmake build system
  * Add build-static-library-with-cmake patch
  * Add use-fftw-lib-with-cmake patch to detect and use libfftw3 in cmake
    build
  * Add use-fec-lib-with-cmake patch to detect and use libfec in cmake build
  * Build-Depend on pkgconf instead of obsolete pkg-config
  * Bump Standards-Version to 4.7.1, no changes needed
  * HISTORY has been renamed to CHANGELOG.md and needs no special handling
    anymore
  * Update years in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Sat, 15 Mar 2025 19:38:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, libfftw3-dev, libfec-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.18),
+               pkgconf,
+               libfftw3-dev,
+               libfec-dev
+Standards-Version: 4.7.1
 Homepage: https://liquidsdr.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liquid-dsp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liquid-dsp.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif

%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_SIMD=OFF -DBUILD_EXAMPLES=OFF
